%define upstream_name Horde_Stream_Wrapper
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.0
Release:     	%mkrel 2
Summary:    	Horde Stream wrappersI
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	%{name} = %{version}

%description
This package provides various stream wrappers.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Stream_Wrapper.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Stream_Wrapper.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Stream_Wrapper
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/Stream/Wrapper/Combine.php
%{peardir}/Horde/Stream/Wrapper/CombineStream.php
%{peardir}/Horde/Stream/Wrapper/String.php
%{peardir}/Horde/Stream/Wrapper/StringStream.php
%{xmldir}/Horde_Stream_Wrapper.xml


%changelog
* Sat Jul 30 2011 spuhler <spuhler> 1.0.0-2.mga2
+ Revision: 130795
- increased rel for rebuild
-Provides:      	php-pear-Horde_Stream_Wrapper
  +Provides:      	%%{name} = %%{version}
- imported package php-pear-Horde_Stream_Wrapper

